Subject: Re: Procmail-problem
From: Jason Tishler <[email-masked]>
To: Hannes Lau <[email-masked]>
Cc: [email-masked], Cygwin <[email-masked]>
Date: Wed, 30 Oct 2002 10:23:18 -0500

Hannes,

I'm redirecting this post to the Cygwin mailing list, because (IMO) that
list is more appropriate for these types of problems.

On Wed, Oct 30, 2002 at 02:23:44PM +0100, Hannes Lau wrote:
> First, sorry about my bad english and grammar. I have a problem with
> the procmail here on this machine.
>
> I use a Win-NT4.0 with servicepack 6a (german) and cygwin with
> cygwin-DLL 1.3.14-1. Today i have make the latest update, now i have
> procmail_3.22-7, libreadline4_4.1-2 and libreadline5_4.3-2, gcc_3.2-1
> and so on, the new fetchmail_6.1.0-1 and mutt_1.4-1. Every works fine
> before the update (same procmail, fetchmail-5.xx, mutt-1.25), now i
> can send mail, but i can't fetchmail correctly. The procmail (also the
> fetchmail-log) says to me, he can't read the ~/.procmailrc. But there
> is no change in this file. I put the output from "procmail VERBOSE=yes
> ~/.procmailrc <test.mail" in a attached file, also the ~/.procmailrc.
>
> The rights in this ~/.procmailrc i have also modify form -rwxrwxrwx
> (the "old" standart) to -rw-rw-rw- or -rw-r--r-- and back to the old
> standart, but nothing works. Also i have reboot the computer, after
> the update and i have make a reinstall with procmail.  It seems to me,
> that the error is not directly comming from procmail, but i have no
> idea, what's going on.
>
> Please, can you help me?

As of 1.3.13, Cygwin defaults to ntsec on.  This is causing the
following permissions problem:

> procmail: [117] Wed Oct 30 12:48:30 2002
> procmail: Suspicious rcfile "/home/Administrator/.procmailrc"
> procmail: Couldn't read "/home/Administrator/.procmailrc"
> procmail: Locking "/var/spool/mail/Administrator.lock"
> procmail: Assigning "LASTFOLDER=/var/spool/mail/Administrator"
> procmail: Opening "/var/spool/mail/Administrator"
> procmail: Acquiring kernel-lock
> procmail: [117] Wed Oct 30 12:48:31 2002
> procmail: Unlocking "/var/spool/mail/Administrator.lock"
>   Folder: /var/spool/mail/Administrator					     30

The above seems to indicate that you are running procmail under the
(local) Administrator account.  If that assumption is true, then the
following should fix your problem:

    $ chmod 644 ~/.procmailrc
    $ chown Administrator ~/.procmailrc

> [.procmailrc snipped]

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/